# Molecule managed

{% if item.registry is defined %}
FROM {{ item.registry.url }}/{{ item.image }}
{% else %}
FROM {{ item.image }}
{% endif %}

# install minimal packages for debian slim images
{% if item.image == 'debian:bullseye-slim' %}
RUN apt-get update && \
    apt-get install -y python3 sudo bash ca-certificates iproute2 systemd systemd-sysv python3-pip && \
    update-alternatives --install /usr/bin/python python /usr/bin/python3 0 &&\
    apt-get clean
{% else %}
RUN apt-get update && \
    apt-get install -y python sudo bash ca-certificates iproute2 systemd systemd-sysv python-pip && \
    apt-get clean
{% endif %}
